import 'package:json_annotation/json_annotation.dart';

part 'submit_exam_abnormal_params.g.dart';

@JsonSerializable()
class SubmitExamAbnormalParams extends Object {
  @JsonKey(name: 'markingUserDetailId')
  int markingUserDetailId;

  @JsonKey(name: 'markingUserId')
  int markingUserId;

  @JsonKey(name: 'reason')
  String reason;

  @JsonKey(name: 'errorType')
  int errorType;

  SubmitExamAbnormalParams({
    required this.markingUserDetailId,
    required this.markingUserId,
    required this.reason,
    required this.errorType,
  });

  factory SubmitExamAbnormalParams.fromJson(Map<String, dynamic> srcJson) =>
      _$SubmitExamAbnormalParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$SubmitExamAbnormalParamsToJson(this);
}
